diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 10dc44d..a05a486 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -149115,7 +149115,7 @@ WeierstrassPreparation(R): Defn == Impl where
                    transback(map3(rest,smps:ST StS):(ST SMPS)))$(L SMPS)
  
  
-        clikeUniv(var)==likeUniv(#1,var)
+        clikeUniv(var)==p +-> likeUniv(p,var)
         mind:(NNI,StS)->NNI
         mind(n, sts)==
            if null sts
@@ -149141,7 +149141,7 @@ WeierstrassPreparation(R): Defn == Impl where
         zp==>map$StreamFunctions3(SUP,NNI,StS)
  
         sts2stst(var, sts)==
-           zp(streamlikeUniv(#1,#2),
+           zp((x,y) +-> streamlikeUniv(x,y),
              map1(clikeUniv var, sts),(integers 0):(ST NNI))
  
         tp:(VarSet,StS)->ST StS
@@ -149171,12 +149171,12 @@ WeierstrassPreparation(R): Defn == Impl where
                q:=(YSS qqq(a,f:SMPS,rest p))
                maptake(a,(p*q) pretend ST StS)
  
-        cfirst n== first(#1,n)$StS
-        crest n== rest(#1,n)$StS
+        cfirst n == s +-> first(s,n)$StS
+        crest n  == s +-> rest(s,n)$StS
         qq:(NNI,SMPS,ST SMPS,ST SMPS)->ST SMPS
         qq(a,e,p,c)==
             cons(e,(-e)*mapdrop(a,(p*c)pretend(ST StS)))
-        qqq(a,e,p)==  qq(a,e,p,#1)
+        qqq(a,e,p)==  s +-> qq(a,e,p,s)
         wei:(VarSet,SMPS)->ST SMPS
         wei(v:VarSet,s:SMPS)==weier(v,s:StS)
         weierstrass(v,smps)== transback wei (v,smps)
diff --git a/changelog b/changelog
index 0a7de90..8511f3d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090625 tpd src/axiom-website/patches.html 20090625.06.tpd.patch
+20090625 tpd books/bookvol10.4 WEIER +-> conversion
 20090625 tpd src/axiom-website/patches.html 20090625.05.tpd.patch
 20090625 tpd books/bookvol10.4 UTSODETL +-> conversion
 20090625 tpd src/axiom-website/patches.html 20090625.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a898611..2cf36e4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1675,5 +1675,7 @@ bookvol10.4 UTSODE +-> conversion<br/>
 bookvol10.4 UDPO +-> conversion<br/>
 <a href="patches/20090625.05.tpd.patch">20090625.05.tpd.patch</a>
 bookvol10.4 UTSODETL +-> conversion<br/>
+<a href="patches/20090625.06.tpd.patch">20090625.06.tpd.patch</a>
+bookvol10.4 WEIER +-> conversion<br/>
  </body>
 </html>
